# Catalogi API

## Dependencies

In order to use the Catalogi API, the Catalogi API module needs to be added as a dependency. The following can be added to your project, depending on whether Maven or Gradle is used:

### Backend

The samples below assume the [valtimo-dependency-versions](/v12/fundamentals/getting-started/modules/core/valtimo-dependency-versions.md) module is used. If not, please specify the artifact version as well.

#### Maven dependency:

```xml
<dependencies>
    <dependency>
        <groupId>com.ritense.valtimo</groupId>
        <artifactId>catalogi-api</artifactId>
    </dependency>
</dependencies>
```

#### Gradle dependency:

```kotlin
dependencies {
  implementation("com.ritense.valtimo:catalogi-api")
}
```

### Frontend

A general instruction to add a front-end plugin to the implementation can be found [here](/v12/fundamentals/getting-started/modules/core/plugin.md#adding-a-front-end-plugin-to-the-implementation).

In order to use the Catalogi API plugin in the frontend the following can be added to your `app.module.ts`:

```typescript
import { CatalogiApiPluginModule, catalogiApiPluginSpecification } from '@valtimo/plugin';

@NgModule({
  imports: [
      CatalogiApiPluginModule,
  ],
  providers: [
      {
          provide: PLUGIN_TOKEN,
          useValue: [
              catalogiApiPluginSpecification,
          ]
      }
  ]
})
```

Before the Catalogi API plugin can be used, an authentication plugin is needed. One such authentication plugin is the OpenZaak plugin. Instructions on how to add the OpenZaak plugin can be found [here](/v12/fundamentals/getting-started/modules/zgw/openzaak.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.valtimo.nl/v12/fundamentals/getting-started/modules/zgw/catalogi-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
